import pygame

class Player(pygame.sprite.Sprite):
    def __init__(self):
        super().__init__()
        player_right = pygame.image.load("images/stickman_right.png")
        player_right = pygame.transform.scale(player_right, (30, 67))
        player_left = pygame.image.load("images/stickman_left.png")
        player_left = pygame.transform.scale(player_left, (30, 67))
        self.player_direction = [player_right, player_left]

        self.image = self.player_direction[0]
        self.rect = self.image.get_rect(topleft = (0, 55))   

    def player_inputs(self):
        key = pygame.key.get_pressed()
        if key[pygame.K_a]:
            self.rect.x -= 3
            self.image = self.player_direction[1]
        if key[pygame.K_d]:
            self.rect.x += 3
            self.image = self.player_direction[0]
        if key[pygame.K_s]:
            self.rect.y += 3
        if key[pygame.K_w]:
            self.rect.y -= 3

    def update(self):
        self.player_inputs()